Bug 27217 - crontab buffer overflows on names over 20 chars
crontab buffer overflows on names over 20 chars
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
: Security
: 27216 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-12 17:26 EST by Chris Ricker
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 17:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-02-12 17:26:01 EST
Just like the recent post to Bugtraq regarding vixie-cron and RH 7.0.
crontab does getpwuid() but then stores the name in a 20-byte buffer w/o
checking its length.  Since crontab is suid root, this could be fun....

[thisnameislongandbreakscrontab@station12 thisnameislongandbreakscrontab]$
crontab
Segmentation fault
[thisnameislongandbreakscrontab@station12 thisnameislongandbreakscrontab]$
rpm -qf `which crontab`
vixie-cron-3.0.1-58
[thisnameislongandbreakscrontab@station12 thisnameislongandbreakscrontab]$
Comment 1 Bill Nottingham 2001-02-12 17:29:35 EST
*** Bug 27216 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2001-02-12 17:30:05 EST
Fixed in -61.
Comment 3 Glen Foster 2001-02-12 17:59:33 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 4 Daniel Roesen 2001-02-14 10:43:07 EST
Does this bug also affect RH 6.x?
Comment 5 Bill Nottingham 2001-02-14 12:09:14 EST
Sort of. It overflows the buffer, but manages not to crash.
Comment 6 Daniel Roesen 2001-02-14 12:19:51 EST
Hm, but I guess there will be a security errata release for all releases?
Comment 7 Chris Ricker 2001-02-14 12:27:44 EST
I'm not sure there's a need to.  Sure, buffer overflows, esp. in suid programs
are never good, but how could you exploit this particular one?
Comment 8 Daniel Roesen 2001-02-14 12:29:17 EST
I don't know, but better safe than sorry. IMNSHO.

Note You need to log in before you can comment on or make changes to this bug.